frr version 7.5+cl4.3.0u1
frr defaults datacenter
hostname {{ inventory_hostname }}
username cumulus nopassword
!
service integrated-vtysh-config
!
log syslog informational
!
{% if ospf is defined %}
router ospf
 ospf router-id {{ lo | regex_replace('/32') }}
 log-adjacency-changes detail
 timers throttle spf 5 100 500
 timers lsa min-arrival 50
{%   for port in ospf %}
 network {{ ospf[port]["network"] }} area 0
{%   endfor %}
 redistribute kernel
 redistribute static
 redistribute connected
!
{% for port in ospf -%}
interface {{ port }}
 ip ospf network broadcast
 ip ospf cost 1
 ip ospf hello-interval 10
 ip ospf dead-interval 40
 ip ospf retransmit-interval 5
 ip ospf transmit-delay 1
!
{% endfor %}
{% endif %}
ip forwarding
!
{% if (vlans is defined and vlans | length) or (static_routes is defined and static_routes | length) %}
{%   if vlans is defined and vlans | length %}
{%     for vlan in vlans %}
ip route {{ vlans[vlan]["subnet"] }} {{ fw_carp_address }}
{%     endfor %}
{%   endif %}
{%   if static_routes is defined and static_routes | length %}
{%     for route in static_routes %}
ip route {{ route.network }} {{ route.gateway }}
{%     endfor %}
{%   endif %}
!
{% endif %}
{% if bgp is defined %}
router bgp {{ bgp.asn }}
 bgp router-id {{ lo | regex_replace('/32') }}
 neighbor peerlink.4094 interface remote-as internal
{%   for peer_group in bgp.peer_groups %}
 neighbor {{ peer_group.name }} peer-group
 neighbor {{ peer_group.name }} remote-as {{ peer_group.asn }}
{%     for neighbor in peer_group.neighbors %}
 neighbor {{ neighbor }} peer-group {{ peer_group.name }}
{%     endfor %}
{%   endfor %}
 !
 address-family ipv4 unicast
  redistribute connected
  redistribute static
{%   for peer_group in bgp.peer_groups %}
{%     for prefix_list in peer_group.prefix_lists %}
  neighbor {{ peer_group.name }} prefix-list {{ prefix_list.name }} {{ prefix_list.direction }}
{%     endfor %}
{%   endfor %}
 exit-address-family
!
{% endif %}
{% if prefix_lists is defined and prefix_lists | length %}
{%   for prefix_list in prefix_lists %}
{%     for prefix in prefix_list.prefixes %}
ip prefix-list {{ prefix_list.name }}{% if prefix.seq is defined %} seq {{ prefix.seq }}{% endif %} {{ prefix.policy }} {{ prefix.prefix }}{% if prefix.ge is defined %} ge {{ prefix.ge }}{% endif %}{% if prefix.le is defined %} le {{ prefix.ge }}{% endif +%}
{%     endfor %}
{%   endfor %}
!
{% endif %}
line vty
!
end
